Bug 507966 - incorrect header directory structure for festival-speechtools-devel (causes compilation errors)
incorrect header directory structure for festival-speechtools-devel (causes c...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: festival (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-24 17:21 EDT by Hedayat Vatankhah
Modified: 2013-03-05 22:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-08 09:34:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hedayat Vatankhah 2009-06-24 17:21:33 EDT
Description of problem:
Directories inside /usr/include/speech-tools should contain .h files directly, but they contain an EST directory which holds .h files. Other header files (e.g. the main festival header file: festival.h) look for .h files inside those directories (e.g. ling_class/EST_Relation.h) but they are unable to find the header files (in the latest Fedora, EST_Relation.h file is under ling_class/EST/) and so currently it is impossible to compile any applications which use festival header files. There should be no directories inside subdirectories of /usr/include/speech-tools/.

Version-Release number of selected component (if applicable):
festival-speechtools-devel-1.2.96-11.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1. install festival-devel
2. create a simple source file and include festival.h, and 
3. compile the source file
  
Actual results:
Compiler will complain about missing header files. If you call festival functions, compilation will fail because of those missing header files.

Expected results:
The source file should compile without such problems.
Comment 1 Bug Zapper 2010-04-27 11:14:14 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Hedayat Vatankhah 2010-04-28 12:13:10 EDT
This bug is still present!
Comment 3 Hedayat Vatankhah 2010-10-02 13:01:18 EDT
David, would you please respond?!
Comment 4 Hedayat Vatankhah 2011-03-08 09:34:52 EST
Has been fixed in festival-speechtools-devel-1.2.96-18.fc14.x86_64

Note You need to log in before you can comment on or make changes to this bug.